/*
 * This file is part of the segmentation and registration toolkit (SphereSegRegTk).
 *
 * SphereSegRegTk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * SphereSegRegTk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with SphereSegRegTk.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * there's no standard on different operating systems to read out the contents
 * of a directory (without using libs like boost)
 * therefore this is an own very small and easy implementation
 */
#ifndef CDIRECTORY_HH
#define CDIRECTORY_HH

#include <sys/types.h>
#include <dirent.h>
#include <list>


class CDirectory
{
public:
	inline static bool getFiles(list<string> &file_list, string path)
	{
		file_list.clear();

		DIR *dir = opendir(path.c_str());

		if (dir == NULL)
		{
//			perror("cannot open directory");
			return false;
		}

		struct dirent* dent;
		while ((dent = readdir(dir)) != NULL)
		{
			string a(dent->d_name);
			if (a != "." && a != "..")
				file_list.push_front(dent->d_name);
		}

		closedir(dir);
		return true;
	}
};

#endif
