/*
 * This file is part of the segmentation and registration toolkit (SphereSegRegTk).
 *
 * SphereSegRegTk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * SphereSegRegTk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with SphereSegRegTk.  If not, see <http://www.gnu.org/licenses/>.
 */
#include <libglademm.h>
#include <libglademm/xml.h>
#include <gtkmm.h>
#include <iostream>
#include "CWindowMain.hpp"


int main(int argc, char** argv)
{
	Gtk::Main kit(argc, argv);

	Glib::RefPtr<Gnome::Glade::Xml> refXml;

	try
	{
		refXml = Gnome::Glade::Xml::create("seg3d_gui.glade");
	}
	catch(const Gnome::Glade::XmlError& ex)
	{
		try
		{
			refXml = Gnome::Glade::Xml::create("/usr/share/seg3d/seg3d_gui.glade");
		}
		catch(const Gnome::Glade::XmlError& ex)
		{
			std::cerr << ex.what() << std::endl;
			return 1;
		}
	}

	// setup dimensions and value type
	CWindowMain<float> *pWindowMain = 0;

	// first we load the window_main widget
	refXml->get_widget_derived("window_main", pWindowMain);
	if(!pWindowMain)
	{
		return 1;
	}

	kit.run(*pWindowMain);

	return 0;
}
